import { VitePWA } from 'vite-plugin-pwa';
import { defineConfig } from 'vite'
import solid from 'vite-plugin-solid'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [solid(), VitePWA({
    registerType: 'autoUpdate',
    injectRegister: false,
    base: "/drawing-prompt/",

    pwaAssets: {
      disabled: false,
      config: true,
    },

    manifest: {
      name: 'drawing-prompt',
      short_name: 'drawing-prompt',
      description: 'Generate a drawing prompt',
      theme_color: '#ffffff',
    },

    workbox: {
      globPatterns: ['**/*.{js,css,html,svg,png,ico}'],
      cleanupOutdatedCaches: true,
      clientsClaim: true,
    },

    devOptions: {
      enabled: false,
      navigateFallback: 'index.html',
      suppressWarnings: true,
      type: 'module',
    },
  })],
})